#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
uniform float u_brightness;
varying vec4 v_fragmentColor;

void main()
{
 vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
 gl_FragColor = v_fragmentColor * vec4((textureColor.rgb + vec3(u_brightness*textureColor.w)), textureColor.w);
}